ScopedResourceFactory
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.resources
Class ScopedResourceFactory

    java.lang.Object
      org.gcube.vremanagement.resourcemanager.impl.resources.ScopedResourceFactory

    public class ScopedResourceFactory

extends java.lang.Object

Nested Class Summary
`static class` | `ScopedResourceFactory.ServiceNotFoundException` Service not found exception, it occurs when a RI was not deployed by this RM instance

Constructor Summary
`ScopedResourceFactory()`

Method Summary
`static ScopedDeployedService` | `getRelatedService(ScopedRunningInstance scopedRunningInstance)` Gets the service that originates the RI, if any
`static ScopedResource` | `newResource(java.lang.String id, java.lang.String type, GCUBEScope scope)` Creates a new `ScopedResource`
`static void` | `setResourceList(ScopeState list)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopedResourceFactory

    public ScopedResourceFactory()

Method Detail

### setResourceList

    public static void setResourceList(ScopeState list)

### newResource

    public static ScopedResource newResource(java.lang.String id,
                                             java.lang.String type,
                                             GCUBEScope scope)
                                      throws java.lang.Exception

  Creates a new `ScopedResource`

  Parameters:
    `id` - the gCube Resource identifier
    `type` - the resource type
    `scope` - the `GCUBEScope` assigned to the resource
  Returns:
    the resource
  Throws:
    `java.lang.Exception`

### getRelatedService

    public static ScopedDeployedService getRelatedService(ScopedRunningInstance scopedRunningInstance)
                                                   throws ScopedResourceFactory.ServiceNotFoundException

  Gets the service that originates the RI, if any

  Parameters:
    `scopedRunningInstance` -
  Returns:
    the service
  Throws:
    `ScopedResourceFactory.ServiceNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD